> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get entities for a track filtered by certification status

> Get a paginated list of entities associated with a track, optionally filtered by their certification status.




## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml get /tracks/{trackId}/entities
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /tracks/{trackId}/entities:
    get:
      tags:
        - Tracks
      summary: Get entities for a track filtered by certification status
      description: >
        Get a paginated list of entities associated with a track, optionally
        filtered by their certification status.
      operationId: getTrackEntities
      parameters:
        - name: trackId
          in: path
          description: The ID of the track
          required: true
          schema:
            type: string
        - name: status
          in: query
          description: Filter entities by certification status
          required: false
          schema:
            type: string
            enum:
              - passed
              - failed
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrackEntitiesResponse'
        '404':
          description: Track not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TrackEntitiesResponse:
      type: object
      properties:
        entities:
          type: array
          items:
            $ref: '#/components/schemas/TrackEntityItem'
      required:
        - entities
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    TrackEntityItem:
      type: object
      properties:
        entityRef:
          type: string
        levelOrdinal:
          type: integer
        cumulativeState:
          type: string
          enum:
            - passed
            - failed
        certificationTimestamp:
          type: string
          format: date-time
      required:
        - entityRef
      additionalProperties: false

````